Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.acl
Interface ManageableRealm

All Superinterfaces:
  BasicRealm, ListableRealm, Serializable

All Known Implementing Classes:
  AbstractManageableRealm, CachingRealm

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by Pluggable Security Infrastructure.

    public interface ManageableRealm

extends ListableRealm, Serializable

ManageableRealm is the full-featured interface for realms. It adds to a ListableRealm's functionality the ability to create and destroy instances of users, groups, permissions, and ACLs.

Method Summary
`void` | `deleteAcl(Principal owner, Acl acl)` Deprecated. Deletes an Acl from a ManageableRealm.
`void` | `deleteGroup(Group group)` Deprecated. Deletes a Group from a ManageableRealm.
`void` | `deletePermission(Permission perm)` Deprecated. Deletes a Permission from a ManageableRealm.
`void` | `deleteUser(User user)` Deprecated. Deletes a User from a ManageableRealm.
`Acl` | `newAcl(Principal owner, String name)` Deprecated. Creates a new Acl with the specified owner and name.
`Group` | `newGroup(String name)` Deprecated. Returns a new group for a ManageableRealm.
`Permission` | `newPermission(String name)` Deprecated. Creates a new Permission with the specified name for a ManageableRealm.
`User` | `newUser(String name, Object credential, Object constraints)` Deprecated. Returns a new user in a realm-specific way with the specified name, credentials, and optional constraints.
`void` | `setPermission(Acl acl, Principal principal, Permission permission, boolean allow)` Deprecated. Sets or unsets a permission for a principal in an ACL.

Methods inherited from interface weblogic.security.acl.ListableRealm
`getAcls, getGroups, getPermissions, getUsers`

Methods inherited from interface weblogic.security.acl.BasicRealm
`getAcl, getAcl, getAclOwner, getGroup, getName, getPermission, getUser, getUser, init, load, save`

Method Detail

### newUser

    User newUser(String name,
                 Object credential,
                 Object constraints)
                 throws SecurityException

  Deprecated.
  Returns a new user in a realm-specific way with the specified name, credentials, and optional constraints. Typical credential objects are X.509 certificates, certificate tokens, and passwords. Typical constraint objects are originating network addresses, token redeemers, or expiration date.

  If a user of that name already exists, a SecurityException is thrown.

  Parameters:
    `name` - Username
    `credential` - X.509 certificate, token, or password, etc.
    `constraints` - Constraints on this user's access
  Returns:
    User in a ManageableRealm
  Throws:
    `SecurityException` - if the user cannot be created as specified

### newGroup

    Group newGroup(String name)
                   throws SecurityException

  Deprecated.
  Returns a new group for a ManageableRealm.

  Parameters:
    `name` - Name for the new Group
  Throws:
    `SecurityException` - if the group cannot be created as specified

### newAcl

    Acl newAcl(Principal owner,
               String name)
               throws SecurityException

  Deprecated.
  Creates a new Acl with the specified owner and name. An access control list must always be created with an owner, and the Acl owner must be furnished to add or delete entries in the Acl.

  Parameters:
    `owner` - Owner of the access control list
    `name` - Name of the access control list
  Returns:
    Acl object
  Throws:
    `SecurityException` - if the Acl cannot be created as specified

### newPermission

    Permission newPermission(String name)
                             throws SecurityException

  Deprecated.
  Creates a new Permission with the specified name for a ManageableRealm.

  Parameters:
    `name` - Name for the Permission
  Returns:
    Permission object
  Throws:
    `SecurityException` - if the Permission cannot be created as specified

### deleteUser

    void deleteUser(User user)
                    throws SecurityException

  Deprecated.
  Deletes a User from a ManageableRealm.

  Parameters:
    `user` - User to be removed from the realm
  Throws:
    `SecurityException` - if the user cannot be deleted as specified

### deleteGroup

    void deleteGroup(Group group)
                     throws SecurityException

  Deprecated.
  Deletes a Group from a ManageableRealm.

  Parameters:
    `group` - Group to be removed from the realm
  Throws:
    `SecurityException` - if the group cannot be deleted as specified

### deleteAcl

    void deleteAcl(Principal owner,
                   Acl acl)
                   throws SecurityException

  Deprecated.
  Deletes an Acl from a ManageableRealm. An AclOwner must be supplied to delete the Acl.

  Parameters:
    `owner` - Principal who is an owner of the ACL
    `acl` - Access control list to be deleted
  Throws:
    `SecurityException` - if the ACL cannot be deleted as specified

### deletePermission

    void deletePermission(Permission perm)
                          throws SecurityException

  Deprecated.
  Deletes a Permission from a ManageableRealm.

  Parameters:
    `perm` - Permission to be removed from the realm
  Throws:
    `SecurityException` - if the permission cannot be deleted as specified

### setPermission

    void setPermission(Acl acl,
                       Principal principal,
                       Permission permission,
                       boolean allow)

  Deprecated.
  Sets or unsets a permission for a principal in an ACL. This operation will typically be subject to access control.

  Parameters:
    `acl` - Access control list to be updated
    `principal` - Principal who is an owner of the ACL
    `permission` - Permission to be updated
    `allow` - True to set permission to allow

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD